Fix small screen CSS rules that match on a body class
[rails.git] / Gemfile.lock
index 91d4b662c07b9f6da6fa8d772c0c2759086e6d30..341e95ccfede061a02d8674fee71edf1c2b716aa 100644 (file)
@@ -2,48 +2,48 @@ GEM
   remote: https://rubygems.org/
   specs:
     SystemTimer (1.2.3)
-    actionmailer (4.2.0)
-      actionpack (= 4.2.0)
-      actionview (= 4.2.0)
-      activejob (= 4.2.0)
+    actionmailer (4.2.3)
+      actionpack (= 4.2.3)
+      actionview (= 4.2.3)
+      activejob (= 4.2.3)
       mail (~> 2.5, >= 2.5.4)
       rails-dom-testing (~> 1.0, >= 1.0.5)
-    actionpack (4.2.0)
-      actionview (= 4.2.0)
-      activesupport (= 4.2.0)
-      rack (~> 1.6.0)
+    actionpack (4.2.3)
+      actionview (= 4.2.3)
+      activesupport (= 4.2.3)
+      rack (~> 1.6)
       rack-test (~> 0.6.2)
       rails-dom-testing (~> 1.0, >= 1.0.5)
-      rails-html-sanitizer (~> 1.0, >= 1.0.1)
+      rails-html-sanitizer (~> 1.0, >= 1.0.2)
     actionpack-page_caching (1.0.2)
       actionpack (>= 4.0.0, < 5)
-    actionview (4.2.0)
-      activesupport (= 4.2.0)
+    actionview (4.2.3)
+      activesupport (= 4.2.3)
       builder (~> 3.1)
       erubis (~> 2.7.0)
       rails-dom-testing (~> 1.0, >= 1.0.5)
-      rails-html-sanitizer (~> 1.0, >= 1.0.1)
-    activejob (4.2.0)
-      activesupport (= 4.2.0)
+      rails-html-sanitizer (~> 1.0, >= 1.0.2)
+    activejob (4.2.3)
+      activesupport (= 4.2.3)
       globalid (>= 0.3.0)
-    activemodel (4.2.0)
-      activesupport (= 4.2.0)
+    activemodel (4.2.3)
+      activesupport (= 4.2.3)
       builder (~> 3.1)
-    activerecord (4.2.0)
-      activemodel (= 4.2.0)
-      activesupport (= 4.2.0)
+    activerecord (4.2.3)
+      activemodel (= 4.2.3)
+      activesupport (= 4.2.3)
       arel (~> 6.0)
-    activesupport (4.2.0)
+    activesupport (4.2.3)
       i18n (~> 0.7)
       json (~> 1.7, >= 1.7.7)
       minitest (~> 5.1)
       thread_safe (~> 0.3, >= 0.3.4)
       tzinfo (~> 1.1)
-    arel (6.0.0)
+    arel (6.0.2)
     ast (2.0.0)
-    astrolabe (1.3.0)
-      parser (>= 2.2.0.pre.3, < 3.0)
-    autoprefixer-rails (5.1.7)
+    astrolabe (1.3.1)
+      parser (~> 2.2)
+    autoprefixer-rails (5.2.1.1)
       execjs
       json
     bigdecimal (1.1.0)
@@ -57,42 +57,48 @@ GEM
     climate_control (0.0.3)
       activesupport (>= 3.0)
     cliver (0.3.2)
-    cocaine (0.5.5)
+    cocaine (0.5.7)
       climate_control (>= 0.0.3, < 1.0)
     coffee-rails (4.1.0)
       coffee-script (>= 2.2.0)
       railties (>= 4.0.0, < 5.0)
-    coffee-script (2.3.0)
+    coffee-script (2.4.1)
       coffee-script-source
       execjs
-    coffee-script-source (1.9.1)
-    colorize (0.7.5)
-    composite_primary_keys (8.0.0)
+    coffee-script-source (1.9.1.1)
+    colorize (0.7.7)
+    composite_primary_keys (8.1.0)
       activerecord (~> 4.2.0)
-    coveralls (0.7.11)
-      multi_json (~> 1.10)
+    coveralls (0.8.2)
+      json (~> 1.8)
       rest-client (>= 1.6.8, < 2)
-      simplecov (~> 0.9.1)
+      simplecov (~> 0.10.0)
       term-ansicolor (~> 1.3)
       thor (~> 0.19.1)
-    crass (1.0.1)
-    dalli (2.7.2)
+    crass (1.0.2)
+    dalli (2.7.4)
     deadlock_retry (1.2.0)
     docile (1.1.5)
+    domain_name (0.5.24)
+      unf (>= 0.0.5, < 1.0.0)
     dynamic_form (1.1.4)
     erubis (2.7.0)
-    execjs (2.3.0)
+    execjs (2.5.2)
     faraday (0.9.1)
       multipart-post (>= 1.2, < 3)
-    globalid (0.3.3)
+    globalid (0.3.5)
       activesupport (>= 4.1.0)
-    hashie (3.4.0)
+    hashie (3.4.2)
     hike (1.2.3)
-    htmlentities (4.3.3)
+    htmlentities (4.3.4)
+    http-cookie (1.0.2)
+      domain_name (~> 0.5)
     http_accept_language (2.0.5)
     httpclient (2.6.0.1)
     i18n (0.7.0)
-    jquery-rails (4.0.3)
+    i18n-js (3.0.0.rc11)
+      i18n (~> 0.6)
+    jquery-rails (4.0.4)
       rails-dom-testing (~> 1.0)
       railties (>= 4.2.0)
       thor (>= 0.14, < 2.0)
@@ -100,36 +106,42 @@ GEM
       execjs (>= 1.4.0)
       multi_json (~> 1.0)
       therubyracer (~> 0.12.1)
-    json (1.8.2)
+    json (1.8.3)
     jsonify (0.3.1)
       multi_json (~> 1.0)
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
-    jwt (1.3.0)
+    jwt (1.5.1)
     kgio (2.9.3)
-    konacha (3.3.0)
+    konacha (3.5.1)
       actionpack (>= 3.1, < 5)
       capybara
       colorize
       railties (>= 3.1, < 5)
-      sprockets
-    libv8 (3.16.14.7)
+      sprockets (>= 2, < 4)
+      tilt
+    libv8 (3.16.14.11)
     libxml-ruby (2.8.0)
-    loofah (2.0.1)
+    logstash-event (1.2.02)
+    logstasher (0.6.5)
+      logstash-event (~> 1.2.0)
+      request_store
+    loofah (2.0.2)
       nokogiri (>= 1.5.9)
     mail (2.6.3)
       mime-types (>= 1.16, < 3)
-    mime-types (2.4.3)
+    mime-types (2.6.1)
+    mimemagic (0.3.0)
     mini_portile (0.6.2)
-    minitest (5.5.1)
-    multi_json (1.10.1)
+    minitest (5.7.0)
+    multi_json (1.11.2)
     multi_xml (0.5.5)
     multipart-post (2.0.0)
     netrc (0.10.3)
     nokogiri (1.6.6.2)
       mini_portile (~> 0.6.0)
-    nokogumbo (1.2.0)
+    nokogumbo (1.4.1)
       nokogiri
     oauth (0.4.7)
     oauth-plugin (0.5.1)
@@ -146,122 +158,139 @@ GEM
     omniauth (1.2.2)
       hashie (>= 1.2, < 4)
       rack (~> 1.0)
+    omniauth-facebook (2.0.1)
+      omniauth-oauth2 (~> 1.2)
+    omniauth-oauth2 (1.3.1)
+      oauth2 (~> 1.0)
+      omniauth (~> 1.2)
     omniauth-openid (1.0.1)
       omniauth (~> 1.0)
       rack-openid (~> 1.3.1)
-    openstreetmap-i18n-js (3.0.0.rc5.3)
-      i18n
-    paperclip (4.2.1)
-      activemodel (>= 3.0.0)
-      activesupport (>= 3.0.0)
-      cocaine (~> 0.5.3)
+    omniauth-windowslive (0.0.9)
+      multi_json (>= 1.0.3)
+      omniauth-oauth2 (~> 1.0)
+    openstreetmap-omniauth-google-oauth2 (0.2.6.1)
+      jwt (~> 1.0)
+      multi_json (~> 1.3)
+      omniauth (>= 1.1.1)
+      omniauth-oauth2 (>= 1.1.1)
+    paperclip (4.3.0)
+      activemodel (>= 3.2.0)
+      activesupport (>= 3.2.0)
+      cocaine (~> 0.5.5)
       mime-types
-    parser (2.2.0.3)
+      mimemagic (= 0.3.0)
+    parser (2.2.2.6)
       ast (>= 1.1, < 3.0)
-    pg (0.18.1)
+    pg (0.18.2)
     poltergeist (1.6.0)
       capybara (~> 2.1)
       cliver (~> 0.3.1)
       multi_json (~> 1.0)
       websocket-driver (>= 0.2.0)
-    powerpack (0.1.0)
+    powerpack (0.1.1)
     psych (2.0.13)
     r2 (0.2.5)
-    rack (1.6.0)
-    rack-cors (0.3.1)
+    rack (1.6.4)
+    rack-cors (0.4.0)
     rack-openid (1.3.1)
       rack (>= 1.1.0)
       ruby-openid (>= 2.1.8)
     rack-test (0.6.3)
       rack (>= 1.0)
-    rails (4.2.0)
-      actionmailer (= 4.2.0)
-      actionpack (= 4.2.0)
-      actionview (= 4.2.0)
-      activejob (= 4.2.0)
-      activemodel (= 4.2.0)
-      activerecord (= 4.2.0)
-      activesupport (= 4.2.0)
+    rails (4.2.3)
+      actionmailer (= 4.2.3)
+      actionpack (= 4.2.3)
+      actionview (= 4.2.3)
+      activejob (= 4.2.3)
+      activemodel (= 4.2.3)
+      activerecord (= 4.2.3)
+      activesupport (= 4.2.3)
       bundler (>= 1.3.0, < 2.0)
-      railties (= 4.2.0)
+      railties (= 4.2.3)
       sprockets-rails
     rails-deprecated_sanitizer (1.0.3)
       activesupport (>= 4.2.0.alpha)
-    rails-dom-testing (1.0.5)
+    rails-dom-testing (1.0.6)
       activesupport (>= 4.2.0.beta, < 5.0)
       nokogiri (~> 1.6.0)
       rails-deprecated_sanitizer (>= 1.0.1)
-    rails-html-sanitizer (1.0.1)
+    rails-html-sanitizer (1.0.2)
       loofah (~> 2.0)
     rails-i18n (4.0.4)
       i18n (~> 0.6)
       railties (~> 4.0)
-    railties (4.2.0)
-      actionpack (= 4.2.0)
-      activesupport (= 4.2.0)
+    railties (4.2.3)
+      actionpack (= 4.2.3)
+      activesupport (= 4.2.3)
       rake (>= 0.8.7)
       thor (>= 0.18.1, < 2.0)
     rainbow (2.0.0)
     rake (10.4.2)
-    redcarpet (3.2.2)
-    ref (1.0.5)
-    rest-client (1.7.3)
+    redcarpet (3.3.2)
+    ref (2.0.0)
+    request_store (1.2.0)
+    rest-client (1.8.0)
+      http-cookie (>= 1.0.2, < 2.0)
       mime-types (>= 1.16, < 3.0)
       netrc (~> 0.7)
     rinku (1.7.3)
-    rubocop (0.29.1)
+    rubocop (0.32.1)
       astrolabe (~> 1.3)
-      parser (>= 2.2.0.1, < 3.0)
+      parser (>= 2.2.2.5, < 3.0)
       powerpack (~> 0.1)
       rainbow (>= 1.99.1, < 3.0)
       ruby-progressbar (~> 1.4)
-    ruby-openid (2.6.0)
-    ruby-progressbar (1.7.1)
-    sanitize (3.1.2)
-      crass (~> 1.0.1)
+    ruby-openid (2.7.0)
+    ruby-progressbar (1.7.5)
+    sanitize (4.0.0)
+      crass (~> 1.0.2)
       nokogiri (>= 1.4.4)
-      nokogumbo (= 1.2.0)
-    sass (3.4.12)
-    sass-rails (5.0.1)
+      nokogumbo (= 1.4.1)
+    sass (3.4.16)
+    sass-rails (5.0.3)
       railties (>= 4.0.0, < 5.0)
       sass (~> 3.1)
       sprockets (>= 2.8, < 4.0)
       sprockets-rails (>= 2.0, < 4.0)
       tilt (~> 1.1)
-    simplecov (0.9.2)
+    simplecov (0.10.0)
       docile (~> 1.1.0)
-      multi_json (~> 1.0)
-      simplecov-html (~> 0.9.0)
-    simplecov-html (0.9.0)
+      json (~> 1.8)
+      simplecov-html (~> 0.10.0)
+    simplecov-html (0.10.0)
     soap4r-ruby1.9 (2.0.5)
-    sprockets (2.12.3)
+    sprockets (2.12.4)
       hike (~> 1.2)
       multi_json (~> 1.0)
       rack (~> 1.0)
       tilt (~> 1.1, != 1.3.0)
-    sprockets-rails (2.2.4)
+    sprockets-rails (2.3.2)
       actionpack (>= 3.0)
       activesupport (>= 3.0)
       sprockets (>= 2.8, < 4.0)
-    term-ansicolor (1.3.0)
+    term-ansicolor (1.3.2)
       tins (~> 1.0)
-    therubyracer (0.12.1)
+    therubyracer (0.12.2)
       libv8 (~> 3.16.14.0)
       ref
     thor (0.19.1)
-    thread_safe (0.3.4)
+    thread_safe (0.3.5)
     tilt (1.4.1)
-    timecop (0.7.3)
-    tins (1.3.4)
+    timecop (0.7.4)
+    tins (1.5.4)
     tzinfo (1.2.2)
       thread_safe (~> 0.1)
-    uglifier (2.7.0)
+    uglifier (2.7.1)
       execjs (>= 0.3.0)
       json (>= 1.8.0)
+    unf (0.1.4)
+      unf_ext
+    unf_ext (0.0.7.1)
     validates_email_format_of (1.6.2)
       i18n
     vendorer (0.1.16)
-    websocket-driver (0.5.3)
+    websocket-driver (0.6.2)
       websocket-extensions (>= 0.1.0)
     websocket-extensions (0.1.2)
     xpath (2.0.0)
@@ -276,14 +305,16 @@ DEPENDENCIES
   autoprefixer-rails
   bigdecimal (~> 1.1.0)
   coffee-rails (~> 4.1.0)
-  composite_primary_keys (~> 8.0.0)
+  composite_primary_keys (~> 8.1.0)
   coveralls
   dalli
   deadlock_retry (>= 1.2.0)
   dynamic_form
+  faraday
   htmlentities
   http_accept_language (~> 2.0.0)
   httpclient
+  i18n-js (>= 3.0.0.rc10)
   jquery-rails
   jshint
   json
@@ -291,18 +322,21 @@ DEPENDENCIES
   kgio
   konacha
   libxml-ruby (>= 2.0.5)
+  logstasher
   minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
   omniauth
+  omniauth-facebook
   omniauth-openid
-  openstreetmap-i18n-js (>= 3.0.0.rc5.3)
+  omniauth-windowslive
+  openstreetmap-omniauth-google-oauth2 (>= 0.2.6.1)
   paperclip (~> 4.0)
   pg
   poltergeist
   psych
   r2
   rack-cors
-  rails (= 4.2.0)
+  rails (= 4.2.3)
   rails-i18n (~> 4.0.0)
   redcarpet
   rinku (>= 1.2.2)
@@ -310,6 +344,7 @@ DEPENDENCIES
   sanitize
   sass-rails (~> 5.0)
   soap4r-ruby1.9
+  sprockets (~> 2.12.3)
   timecop
   uglifier (>= 1.3.0)
   validates_email_format_of (>= 1.5.1)